$ErrorActionPreference = 'Stop'

$packageArgs = @{
  packageName            = 'vmware-workstation-player'
  fileType               = 'exe'
  url                    = 'https://download3.vmware.com/software/player/file/VMware-player-15.0.4-12990004.exe'
  checksum               = 'A028C0E42FE9E9928EC7F22495D35B96BB093EBBA6E734193E699102D852334C'
  checksumType           = 'sha256'
  silentArgs             = '/s /v/qn EULAS_AGREED=1 AUTOSOFTWAREUPDATE=0 DATACOLLECTION=0 ADDLOCAL=ALL REBOOT=ReallySuppress'
  validExitCodes         = @(0, 3010, 1614, 1641)
}
Install-ChocolateyPackage @packageArgs
